package com.persagy.calendar.client.fallback;

import org.springframework.stereotype.Component;

import com.persagy.calendar.client.RwdObjectClient;
import com.persagy.calendar.client.model.BaseModel;
import com.persagy.calendar.client.model.BaseQueryModel;
import com.persagy.calendar.client.model.RwdObjectModel;

import lombok.extern.slf4j.Slf4j;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月2日:	下午3:01:16
 */
@Slf4j
@Component
public class RwdObjectClientFallBack implements RwdObjectClient {

	@Override
	public String queryProjectObjects(BaseModel baseModel, BaseQueryModel<RwdObjectModel> object) {
		log.error("数据中台物理世界，查询对象数据异常");
		return null;
	}

}
